#!/bin/bash
NAME="collabnet-merge"
VERSION=2.2.1

echo "Exporting from Source Control..."
rm -rf $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

# release is not tagged, but upstream says this release is r1436
# see http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1043&dsMessageId=2687280

# if prompted for a password, just hit return; the password is blank
svn export -r1436 http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/trunk/features/com.collabnet.subversion.merge.feature --username guest
svn export -r1436 http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/trunk/plugins/com.collabnet.subversion.merge --username guest

popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
